//  *******************************************************
//                gui.h
//  *******************************************************

#ifndef _gui_h
#define _gui_h

// *** GUI DEFINES ***
#define YSPACE 7 //pixels away from the left border
#define XSPACE 15 //pixels away from the top

#define BARWIDTH 7 //width of the bar
#define BARHEIGHT 100 //max hight of the bar
#define BARSPACE 5 //space between the bars

#define BARCOLOR WHITE //color of the bar

#define BARCOUNT 10 //number of bars (1 till BARCOUNT)

#define LINEPOS XSPACE+BARHEIGHT+3 //position of the line between button text and bars

#define BUTTONXPOS LINEPOS+1 //x postion of the button text
#define LEFTB 1 //left button position
#define RIGHTB 68 //right button postion (132/2 + 2)

#define MAINCOLOR WHITE //front color of the GUI
#define BACKCOLOR BLUE //background color of the GUI

// *** PROTOTYPES ***
void drawBar(unsigned char, unsigned char);
void drawButtonLabel(unsigned char*, int, unsigned char);
void showBars(unsigned char*);
void drawGUI(void);

#endif
